org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ShortestPathTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ShortestPathTest

- Direct Known Subclasses:
    ShortestPathTest.Traversals

      public abstract class ShortestPathTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShortestPathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortestPathTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_both_dedup_shortestPath()`
    `void` | `g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX()`
    `void` | `g_V_hasXname_markoX_shortestPath_maxDistanceX1X()`
    `void` | `g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX()`
    `void` | `g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX()`
    `void` | `g_V_hasXname_markoX_shortestPath()`
    `void` | `g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X()`
    `void` | `g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX()`
    `void` | `g_V_shortestPath_directionXINX()`
    `void` | `g_V_shortestPath_edgesIncluded_edgesXoutEX()`
    `void` | `g_V_shortestPath_edgesIncluded()`
    `void` | `g_V_shortestPath_edgesXoutEX()`
    `void` | `g_V_shortestPath_targetXhasXname_markoXX()`
    `void` | `g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX()`
    `void` | `g_V_shortestPath()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_both_dedup_shortestPath()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath_directionXINX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath_edgesIncluded_edgesXoutEX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath_edgesIncluded()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath_edgesXoutEX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath_targetXhasXname_markoXX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_shortestPath()`
    `void` | `initializeHelper()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortestPathTest

          public ShortestPathTest()

  - ### Method Detail

    - #### initializeHelper

          public void initializeHelper()
                                throws Exception

      Throws:
        `Exception`

    - #### get_g_V_shortestPath

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath()

    - #### get_g_V_both_dedup_shortestPath

          public abstract Traversal<Vertex,Path> get_g_V_both_dedup_shortestPath()

    - #### get_g_V_shortestPath_edgesIncluded

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath_edgesIncluded()

    - #### get_g_V_shortestPath_directionXINX

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath_directionXINX()

    - #### get_g_V_shortestPath_edgesXoutEX

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath_edgesXoutEX()

    - #### get_g_V_shortestPath_edgesIncluded_edgesXoutEX

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath_edgesIncluded_edgesXoutEX()

    - #### get_g_V_hasXname_markoX_shortestPath

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath()

    - #### get_g_V_shortestPath_targetXhasXname_markoXX

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath_targetXhasXname_markoXX()

    - #### get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX

          public abstract Traversal<Vertex,Path> get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX()

    - #### get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX()

    - #### get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX()

    - #### get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX()

    - #### get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX

          public abstract Traversal<Vertex,Path> get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX()

    - #### get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X()

    - #### get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X

          public abstract Traversal<Vertex,Path> get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X()

    - #### g_V_shortestPath

          public void g_V_shortestPath()

    - #### g_V_both_dedup_shortestPath

          public void g_V_both_dedup_shortestPath()

    - #### g_V_shortestPath_edgesIncluded

          public void g_V_shortestPath_edgesIncluded()

    - #### g_V_shortestPath_directionXINX

          public void g_V_shortestPath_directionXINX()

    - #### g_V_shortestPath_edgesXoutEX

          public void g_V_shortestPath_edgesXoutEX()

    - #### g_V_shortestPath_edgesIncluded_edgesXoutEX

          public void g_V_shortestPath_edgesIncluded_edgesXoutEX()

    - #### g_V_hasXname_markoX_shortestPath

          public void g_V_hasXname_markoX_shortestPath()

    - #### g_V_shortestPath_targetXhasXname_markoXX

          public void g_V_shortestPath_targetXhasXname_markoXX()

    - #### g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX

          public void g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX()

    - #### g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX

          public void g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX()

    - #### g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX

          public void g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX()

    - #### g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX

          public void g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX()

    - #### g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX

          public void g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX()

    - #### g_V_hasXname_markoX_shortestPath_maxDistanceX1X

          public void g_V_hasXname_markoX_shortestPath_maxDistanceX1X()

    - #### g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X

          public void g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.